
Figure - Bug #117853
【IOVDEV-26824】【内部】【VC1】【0072】【台架】【EE环境】【副屏】副屏熄屏后自动点亮
2023-05-10 14:14 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-10

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 副屏版本：01.00.0094.c103��中控版本：03.02.0078.C101

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230509  17：06

【前提条件】：车机上电, 副屏熄屏

【操作步骤】

1. 中控端使用语音功能，输入指令“副屏亮屏”

2.副屏响应中控的语音指令而亮屏

3.中控退出语音识别，副屏再次通过点击控制中心中的熄屏按钮而熄屏

【实际结果】

副屏在熄屏后会会自动亮屏，手动熄屏后还是会自动亮屏

【期望结果】

副屏熄屏后不会自动亮屏

【车架号】：

【备注】：

副屏log地址：https://ofs.human-horizons.com/#/download/index/LNsgcFDUwH0%3D

【影响版本】：副屏：01.00.0094.c103 中控：03.02.0078.C101

【硬件版本号】：/

【是否能恢复】：

Related issues:

Related to Figure - Bug # 117852: 【IOVDEV-26825】【内部】【VC1】... CLOSED 2023-05-10

History

#1 - 2023-05-11 14:40 - CD FW-程天颖

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-程天颖 to CDTS_Test 吴诗雨

- Need_Info changed from -- to TEST

Hi,诗雨：

  我的中控无法语音控制，不能复现，Tlog里面没有看到关键点日志，需要重新测试，抓取日志，建议adb抓副屏日志。

#2 - 2023-05-11 14:41 - CD FW-程天颖
- Status changed from ASSIGNED to NEED_INFO

#3 - 2023-05-15 21:26 - CDTS_TEST 王成

- File 20点41分复现IOVDEV-26824.7z added

- Assignee changed from CDTS_Test 吴诗雨 to CD FW-程天颖

20点41分复测截取adb log。如此问题描述：副屏熄屏情况下，

1. 中控端使用语音功能，输入指令“打开副屏”

2.副屏响应中控的语音指令而亮屏

3.副屏控制中心点击熄屏

现象：副屏熄屏后会自动亮屏。再次进控制中心点击熄屏，副屏熄屏后还是会自动亮屏

#4 - 2023-05-16 15:38 - CD FW-程天颖

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD FW-程天颖 to CDTS_Test 吴诗雨

日志分析：

05-15 20:42:24.452  2236 15269 D RemoteControlService: After desEncrypt json is [{"type":"power","source":0,"token":"n0DhEcGdClTOZQy","value":"click"}]

中控发送电源键事件点亮副屏

05-15 20:42:48.016  2044 15341 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_SettingService',

destService='IDCM_MultiScreenService', messageType='0', uuid='1684154568010075191',

payloadData={"srcService":"FSEM_SettingService","dstService":"IDCM_MultiScreenService","messageType":0,"uuid":1684154568010075191,"methodName":"reportScreen

Display","parameters":{"reportScreenDisplay":1}}}

副屏点亮屏幕后，给中控上报屏幕状态

05-15 20:42:51.735  2044 15354 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_SettingService',

destService='IDCM_MultiScreenService', messageType='0', uuid='1684154571733033992',

payloadData={"srcService":"FSEM_SettingService","dstService":"IDCM_MultiScreenService","messageType":0,"uuid":1684154571733033992,"methodName":"reportScreen

Display","parameters":{"reportScreenDisplay":0}}}

副屏上报熄灭副屏

后续中控又发送了息屏电源键时间给副屏，点亮

05-15 20:43:00.046  2236 15381 D RemoteControlService: After desEncrypt json is [{"type":"power","source":0,"token":"n0DhEcGdClTOZQy","value":"click"}]

结论：中控获取到副屏状态改变后，又使用遥控器sdk发送了一次电源键事件打开副屏，需要中控检查语言控制逻辑并修改

建议：1.语音控制使用的遥控器sdk来控制副屏状态，在使用过程中可能会影响遥控器的功能使用，建议通过中控副屏通信有IDCM_MultiScreenService服

务，来获取和设置副屏的屏幕状态

#5 - 2023-05-17 16:29 - CDTS_Test 吴诗雨

- Status changed from ASSIGNED to RESOLVED
#6 - 2023-05-17 16:29 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#7 - 2023-05-17 16:29 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

#8 - 2023-05-22 17:36 - CDTS_TEST 王成

Line 192143: 05-18 11:28:10.326 5520 5540 I HFSEM_REMOTE_CTRL: RemoteControlOpenApiManager-query connect co-driver screen

Line 192205: 05-18 11:28:10.526 5520 6571 I HFSEM_REMOTE_CTRL: RemoteControlOpenApiManager-query co-driver screen power status

Line 192241: 05-18 11:28:10.541 5520 6739 I HFSEM_REMOTE_CTRL: RemoteControlOpenApiManager-open co-driver screen

Line 193790: 05-18 11:28:15.346 5520 6739 I HFSEM_REMOTE_CTRL: RemoteControlOpenApiManager-already open co-driver screen

Line 195279: 05-18 11:28:19.550 5520 6687 I HFSEM_REMOTE_CTRL: RemoteControlOpenApiManager-open co-driver screen

Line 197838: 05-18 11:28:28.539 5520 6687 I HFSEM_REMOTE_CTRL: RemoteControlOpenApiManager-open co-driver screen

Line 200241: 05-18 11:28:37.545 5520 6739 I HFSEM_REMOTE_CTRL: RemoteControlOpenApiManager-already open co-driver screen

Line 202202: 05-18 11:28:46.546 5520 6631 I HFSEM_REMOTE_CTRL: RemoteControlOpenApiManager-already open co-driver screen

Line 204667: 05-18 11:28:55.542 5520 6739 I HFSEM_REMOTE_CTRL: RemoteControlOpenApiManager-already open co-driver screen

遥控器收到语音指令第一次打开副屏后 未重置请求状态 导致一直向服务端发送打开副屏  该逻辑已修改 新版本验证

Files

050903 (1).tar.gz 28.3 MB 2023-05-10 CDTS_Test 吴诗雨

副屏自动亮屏.mp4 2.11 MB 2023-05-10 CDTS_Test 吴诗雨

20点41分复现IOVDEV-26824.7z 60.7 KB 2023-05-15 CDTS_TEST 王成
